package com.loan.system.service;

import com.loan.system.domain.entity.Customer;
import com.loan.system.domain.vo.CustomerVO;

import java.util.List;

public interface CustomerService {
    /**
     * 新增客户
     * @param customer 客户信息
     * @return 保存后的客户信息
     */
    Customer addCustomer(Customer customer);

    void updateMarriedStatusById(Long customerId, String marriedStatus);

    CustomerVO findByCustomerIdAndIsDelete(Long customerId,Boolean isDelete);

    List<CustomerVO> getAllCustomers(boolean b);

    CustomerVO getCustomerByKey(String key, boolean b);

    CustomerVO getCustomerByMobile(String tel);

    Customer findBymobileAndIsDelete(String phoneNumber);
    boolean existsBymobileAndIsDelete(String phoneNumber);
    Customer findByIdAndIsDelete(Long id);
}